Question

Pega Upgrade to 8.2 DB2 Linux

Upgrade guide says below

IBM Db2 operating-system users

All IBM Db2 users must also exist at the operating system level. Before you create the database user accounts, define the operatingsystem-level users and authorizations:

• Deployment user - This user must have Administrative privileges on the operating system. For example, in Windows this user is a member of the Administrators Group.

• Admin – This user must have Administrative privileges on the operating system. For example, in Windows this user is a member of the Administrators Group.

• Base – This user must not have Administrator privileges on the operating system.

----

For upgrades why we need this to be performed? shouldn't these be available when we do the installation

Comments

Keep up to date on this post and subscribe to comments

September 21, 2019 - 7:17am

Pega upgrade at the high level will identify the difference between the new pega version and the existing version at the DB level and apply DDL to DB, that is why users with appropriate privileges are required.

September 21, 2019 - 11:05am
Response to KevinZheng_GCS

Having DB2 database users not enough? Is it must to have operating system level users also present in the DB server?

September 21, 2019 - 12:07pm

that statement is bit confusing, bottom line, as long as your DBA configures DB2 users with right privileges. Or check IBM DB2 admin guide if needed.